import Vue from "vue";
import FEEDBACKCOMP from "./index.vue";
const FBConstructor = Vue.extend(FEEDBACKCOMP);

const FBT = (options = {}) => {
    const { data = {}, callBack } = options;
    // if (!UserId) throw `UserId is requred.but ${UserId}`
    const id = `FB${new Date().getTime()}`;
    const instance = new FBConstructor();
    instance.id = id;
    instance.vm = instance.$mount();
    if (instance.vm.visible) return;
    document.body.appendChild(instance.vm.$el);
    instance.vm.open({ ...data });
    instance.vm.$on("success", (Id) => {
        if (callBack) callBack();
    });
    instance.vm.$on("closed", () => {
        document.body.removeChild(instance.vm.$el);
        instance.vm.$destroy();
    });
    return instance.vm;
}
export default FBT;